Status: Closed

Priority: Normal

Assignee:

Category: Processing/GRASS

Affected QGIS version:2.18.13 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: up/downstream

Crashes QGIS or corrupts data:Yes Copied to github as #: 25147

Description

The v.net.repot and v.net.nreport tools are not creating the correct output files. v.net.report has created a file without extension (it should

be .txt) with the identification of all the vectors, but without the identification of the respective nodes (it should be: line_category

start_point_category end_point_category). v.net.nreport creates a file without extension and empty.

History

#1 - 2017-10-05 09:23 PM - Giovanni Manghi

- Affected QGIS version changed from 2.14.15 to 2.18.13

- Category changed from Actions to Processing/GRASS

- Status changed from Open to Feedback

I executed the same modules directly in GRASS7 (using a layer prepared for network analysis) and got the same results (in case of "nreport" no results)...

so... how this operations of v.net are supposed to work? They really need just the arc input layer as the manual

https://grass.osgeo.org/grass72/manuals/v.net.html

seems to imply ("input=name Name of input vector line map (arcs)Required for operation 'nodes', 'connect', 'report' and 'nreport'")

or maybe other inputs are needed as the output for "report" and "nreport" seems to imply (i.e. "line_category start_point_category end_point_category")?

#2 - 2017-10-06 01:12 PM - Sergio Antonio

Following in your footsteps, I also checked the tools in GRASS7 and concluded that the results from v.net.report and v.net.nreport seem to be compatible

with those obtained in QGIS (the problem is to understand GRASS and its manuals). All that remains is to fix the extensions of the output files.

#3 - 2017-10-06 01:15 PM - Giovanni Manghi

- Resolution set to up/downstream

- Status changed from Feedback to Closed

- Crashes QGIS or corrupts data changed from No to Yes

Sergio Antonio wrote:

Following in your footsteps, I also checked the tools in GRASS7 and concluded that the results from v.net.report and v.net.nreport seem to be

compatible with those obtained in QGIS (the problem is to understand GRASS and its manuals). All that remains is to fix the extensions of the

output files.
you have to set them manually in the output field in Processing. But if you want you can open a feature request and ask to have them added automatically.

Files

report1.txt 4.59 KB 2017-10-05 Sergio Antonio
